# Record TCefBrowser

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBrowser = record`

## Description

Structure used to represent a browser. When used in the browser process the functions of this structure may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this structure may only be called on the main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBrowser.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefBrowser): Integer; stdcall;`
| `get_host: function(self: PCefBrowser): PCefBrowserHost; stdcall;`
| `can_go_back: function(self: PCefBrowser): Integer; stdcall;`
| `go_back: procedure(self: PCefBrowser); stdcall;`
| `can_go_forward: function(self: PCefBrowser): Integer; stdcall;`
| `go_forward: procedure(self: PCefBrowser); stdcall;`
| `is_loading: function(self: PCefBrowser): Integer; stdcall;`
| `reload: procedure(self: PCefBrowser); stdcall;`
| `reload_ignore_cache: procedure(self: PCefBrowser); stdcall;`
| `stop_load: procedure(self: PCefBrowser); stdcall;`
| `get_identifier: function(self: PCefBrowser): Integer; stdcall;`
| `is_same: function(self, that: PCefBrowser): Integer; stdcall;`
| `is_popup: function(self: PCefBrowser): Integer; stdcall;`
| `has_document: function(self: PCefBrowser): Integer; stdcall;`
| `get_main_frame: function(self: PCefBrowser): PCefFrame; stdcall;`
| `get_focused_frame: function(self: PCefBrowser): PCefFrame; stdcall;`
| `get_frame_by_identifier: function(self: PCefBrowser; const identifier: PCefString): PCefFrame; stdcall;`
| `get_frame_by_name: function(self: PCefBrowser; const name: PCefString): PCefFrame; stdcall;`
| `get_frame_count: function(self: PCefBrowser): NativeUInt; stdcall;`
| `get_frame_identifiers: procedure(self: PCefBrowser; identifiers: TCefStringList); stdcall;`
| `get_frame_names: procedure(self: PCefBrowser; names: TCefStringList); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `get_host: function(self: PCefBrowser): PCefBrowserHost; stdcall;`
This item has no description.

| `can_go_back: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `go_back: procedure(self: PCefBrowser); stdcall;`
This item has no description.

| `can_go_forward: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `go_forward: procedure(self: PCefBrowser); stdcall;`
This item has no description.

| `is_loading: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `reload: procedure(self: PCefBrowser); stdcall;`
This item has no description.

| `reload_ignore_cache: procedure(self: PCefBrowser); stdcall;`
This item has no description.

| `stop_load: procedure(self: PCefBrowser); stdcall;`
This item has no description.

| `get_identifier: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefBrowser): Integer; stdcall;`
This item has no description.

| `is_popup: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `has_document: function(self: PCefBrowser): Integer; stdcall;`
This item has no description.

| `get_main_frame: function(self: PCefBrowser): PCefFrame; stdcall;`
This item has no description.

| `get_focused_frame: function(self: PCefBrowser): PCefFrame; stdcall;`
This item has no description.

| `get_frame_by_identifier: function(self: PCefBrowser; const identifier: PCefString): PCefFrame; stdcall;`
This item has no description.

| `get_frame_by_name: function(self: PCefBrowser; const name: PCefString): PCefFrame; stdcall;`
This item has no description.

| `get_frame_count: function(self: PCefBrowser): NativeUInt; stdcall;`
This item has no description.

| `get_frame_identifiers: procedure(self: PCefBrowser; identifiers: TCefStringList); stdcall;`
This item has no description.

| `get_frame_names: procedure(self: PCefBrowser; names: TCefStringList); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.